// C Source File
// Created 2/22/2003; 11:32:05 AM

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

#define RETURN_VALUE          // Return Pushed Expression
#define ENABLE_ERROR_RETURN   // Enable returning errors

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define MIN_AMS 101           // Compile for AMS 1.01 or higher

//#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

// Main Function
void _main(void)
{
	// Process arguments here if necessary.
	ESI eq, var, val;
	float result;
	
	eq = top_estack;
	var = next_expression_index( eq );
	val = next_expression_index( var );
	{
		{
			{
				{
					{
						{
							{
								{
									push_expression( val );
									push_Float( 0.0000001 );
									push_quantum( ADD_TAG );
								}
								push_expression( var );
								push_quantum( EQ_TAG );
							}
							push_expression( eq );
							push_quantum( WITH_TAG );
						}
						push_expression( val );
						push_Float( 0.0000001 );
						push_quantum( SUB_TAG );
					}
					push_expression( var );
					push_quantum( EQ_TAG );
				}
				push_expression( eq );
				push_quantum( WITH_TAG );
			}
			push_quantum( SUB_TAG );
		}
		push_Float( 0.0000002 );
		push_quantum( DIV_TAG );
	}

	NG_approxESI( top_estack );
	result = estack_number_to_Float( top_estack );

	// Clean Up Remaining Arguments
	while (ESTACK (top_estack) != END_TAG)
		top_estack = next_expression_index (top_estack);
	top_estack--;
	
	// Place your code here.
	
	push_Float( result );
	
	// Remember to push an expression to the expression stack.
}
